Index: ogg123.c
===================================================================
RCS file: /usr/local/cvsroot/vorbis-tools/ogg123/ogg123.c,v
retrieving revision 1.28
diff -u -r1.28 ogg123.c
--- ogg123.c	2001/02/22 02:49:12	1.28
+++ ogg123.c	2001/02/22 04:22:02
@@ -34,6 +34,7 @@
 
 char convbuffer[4096];		/* take 8k out of the data segment, not the stack */
 int convsize = 4096;
+buf_t * buffer = NULL;
 
 struct {
     char *key;			/* includes the '=' for programming convenience */
@@ -218,6 +219,9 @@
       opt.outdevices = current;
     }
 
+    if (buffer != NULL)
+	    buffer_shutdown(buffer);
+    
     ao_shutdown();
 
     return (0);
@@ -236,7 +240,6 @@
     long t_min = 0, c_min = 0, r_min = 0;
     double t_sec = 0, c_sec = 0, r_sec = 0;
     int is_big_endian = ao_is_big_endian();
-    buf_t *buffer = NULL;
     double realseekpos = opt.seekpos;
 
     /* Junk left over from the failed info struct */
@@ -467,7 +470,7 @@
   
   if(prevrate !=0 && prevchan!=0)
 	{
-	  if (buffer != NULL) {
+	  if (buffer != NULL && *buffer != NULL) {
 	    buffer_shutdown (*buffer);
 	    *buffer = NULL;
 	  }
